<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.products.ov</groupId>
        <artifactId>maven-dependencies</artifactId>
        <version>1.3.2</version>
    </parent>

    <groupId>com.scytl.products.ov.channel</groupId>
    <artifactId>ov-channel</artifactId>
    <version>2.1.7</version>
    <packaging>pom</packaging>
    <name>Online Voting Channel</name>
    <description>OV Channel</description>

    <scm>
        <connection>scm:git:ssh://git@scm.scytl.net:7999/comp/online-voting-channel.git</connection>
        <developerConnection>scm:git:ssh://git@scm.scytl.net:7999/comp/online-voting-channel.git</developerConnection>
        <url>https://scm.scytl.net/stash/projects/COMP/repos/online-voting-channel/browse</url>
        <tag>HEAD</tag>
    </scm>

    <properties>
        <surfire.version>2.19.1</surfire.version>
        <javac.version>1.8</javac.version>
        <javaee-api.version>6.0-6</javaee-api.version>
        <maven.compiler.plugin.version>3.2</maven.compiler.plugin.version>
        <junit.version>4.12</junit.version>
        <mockito.version>1.10.19</mockito.version>
        <jackson.version>2.9.5</jackson.version>
        <jwt.version>0.9.0</jwt.version>
        <logging.version>1.4.1</logging.version>
        <commons.lang.version>3.3.2</commons.lang.version>
        <commons.configuration.version>1.10</commons.configuration.version>
        <commons.io.version>2.4</commons.io.version>
        <commons.codec.version>1.9</commons.codec.version>
        <slf4j-api.version>1.7.10</slf4j-api.version>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <cryptolib.version>2.1.5-4</cryptolib.version>
        <scytl-math.version>1.0.1</scytl-math.version>
        <scytl-gmp.version>6.1.1</scytl-gmp.version>
        <maven.javadoc.failOnError>false</maven.javadoc.failOnError>
        <spring.version>4.3.19.RELEASE</spring.version>
        <spring-boot.version>1.5.14.RELEASE</spring-boot.version>
        <spring-context.version>${spring.version}</spring-context.version>
        <javax.json.version>1.0.4</javax.json.version>
        <javax.inject.version>1.0-PFD-1</javax.inject.version>
        <jmockit.version>1.17</jmockit.version>
        <retrofit.version>2.3.0</retrofit.version>
        <jacoco.version>0.7.9</jacoco.version>
        <log4j.version>2.2</log4j.version>
        <hamcrest.version>1.3</hamcrest.version>
        <swagger.springfox.version>2.2.2</swagger.springfox.version>
        <swagger.mavenplugin.version>3.1.0</swagger.mavenplugin.version>
        <okhttp.version>3.8.0</okhttp.version>
        <hibernate-entitymanager.version>4.3.8.Final</hibernate-entitymanager.version>
        <bouncycastle.version>1.59</bouncycastle.version>
        <opencsv.version>3.7</opencsv.version>
        <io.spring.platform>2.0.3.RELEASE</io.spring.platform>
        <guava.version>19.0</guava.version>
        <org.apache.jcs.version>1.3</org.apache.jcs.version>
        <jersey-test-framework-core.version>2.16</jersey-test-framework-core.version>
        <system-rules.version>1.16.1</system-rules.version>
        <frontend-maven-plugin.version>1.3</frontend-maven-plugin.version>
        <node.version>v4.2.6</node.version>
        <npm.version>4.2.0</npm.version>
        <info.cukes.version>1.2.5</info.cukes.version>
        <com.github.cukespace.version>1.6.4</com.github.cukespace.version>
        <maven-war-plugin.version>3.2.0</maven-war-plugin.version>
        <mixing.version>0.3.2</mixing.version>
        <rabbitmq.version>5.4.1</rabbitmq.version>
        <oracle-driver.version>18.3.0.0.0</oracle-driver.version>
        <org.msgpack.version>0.8.16</org.msgpack.version>
        <jsr305.version>3.0.2</jsr305.version>
    <qpid.version>7.1.0</qpid.version>
    </properties>

        <dependencyManagement>
            <dependencies>
                <dependency>
                  <groupId>org.hibernate</groupId>
                  <artifactId>hibernate-entitymanager</artifactId>
                  <version>${hibernate-entitymanager.version}</version>
                </dependency>
                <dependency>
                  <groupId>org.hibernate</groupId>
                  <artifactId>hibernate-core</artifactId>
                  <version>${hibernate-entitymanager.version}</version>
                </dependency>
                <dependency>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-api</artifactId>
                    <version>${slf4j-api.version}</version>
                </dependency>
            
                <dependency>
                    <groupId>org.apache.commons</groupId>
                    <artifactId>commons-lang3</artifactId>
                    <version>${commons.lang.version}</version>
                </dependency>
                <dependency>
                    <groupId>commons-configuration</groupId>
                    <artifactId>commons-configuration</artifactId>
                    <version>${commons.configuration.version}</version>
                </dependency>
                <dependency>
                    <groupId>commons-io</groupId>
                    <artifactId>commons-io</artifactId>
                    <version>${commons.io.version}</version>
                </dependency>
                <dependency>
                    <groupId>commons-codec</groupId>
                    <artifactId>commons-codec</artifactId>
                    <version>${commons.codec.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.fasterxml.jackson.core</groupId>
                    <artifactId>jackson-annotations</artifactId>
                    <version>${jackson.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.fasterxml.jackson.core</groupId>
                    <artifactId>jackson-core</artifactId>
                    <version>${jackson.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.fasterxml.jackson.core</groupId>
                    <artifactId>jackson-databind</artifactId>
                    <version>${jackson.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.fasterxml.jackson.jaxrs</groupId>
                    <artifactId>jackson-jaxrs-base</artifactId>
                    <version>${jackson.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.fasterxml.jackson.jaxrs</groupId>
                    <artifactId>jackson-jaxrs-json-provider</artifactId>
                    <version>${jackson.version}</version>
                </dependency>
                <dependency>
                    <groupId>com.rabbitmq</groupId>
                    <artifactId>amqp-client</artifactId>
                    <version>${rabbitmq.version}</version>
                </dependency>
                <dependency>
                   <groupId>org.msgpack</groupId>
                   <artifactId>msgpack-core</artifactId>
                   <version>${org.msgpack.version}</version>
                </dependency>
                <dependency>
                   <groupId>com.google.code.findbugs</groupId>
                   <artifactId>jsr305</artifactId>
                   <version>${jsr305.version}</version>
                </dependency>
                <dependency>
                   <groupId>com.scytl.products.oscore</groupId>
                   <artifactId>logging-core</artifactId>
                   <version>${logging.version}</version>
               </dependency>
                <dependency>
                    <groupId>org.apache.qpid</groupId>
                    <artifactId>qpid-broker-plugins-amqp-0-8-protocol</artifactId>
                    <version>${qpid.version}</version>
                </dependency>
                <dependency>
                    <groupId>org.apache.qpid</groupId>
                    <artifactId>qpid-broker-plugins-memory-store</artifactId>
                    <version>${qpid.version}</version>
                </dependency>
            </dependencies>
        </dependencyManagement>
    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                    <version>3.2</version>
                    <configuration>
                        <source>${javac.version}</source>
                        <target>${javac.version}</target>
                    </configuration>
                </plugin>
                <plugin>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <version>3.0.0</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-surefire-plugin</artifactId>
                    <version>${surfire.version}</version>
                    <configuration>
                        <skipTests>false</skipTests>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>com.mycila.maven-license-plugin</groupId>
                <artifactId>maven-license-plugin</artifactId>
                <version>1.9.0</version>
                <configuration>
                    <headerDefinitions>
                       <headerDefinition>licensePattern.xml</headerDefinition>
                    </headerDefinitions>
                    <mapping>
                        <javadoc_style>JAVADOC_STYLE</javadoc_style>
                        <ccf>SCRIPT_STYLE</ccf>
                    </mapping>
                    <header>${basedir}/LICENSE</header>
                    <includes>
                        <include>**/*.java</include>
                        <include>**/*.xml</include>
                        <include>**/*.properties</include>
                        <include>**/*.ccf</include>
                        <include>**/*.js</include>
                    </includes>
                    <excludes>
                        <exclude>**/.*/**</exclude>
                        <exclude>target/**</exclude>
                    </excludes>
                    <properties>
                        <currentYear>2018</currentYear>
                    </properties>
                    <useDefaultExcludes>true</useDefaultExcludes>
                    <strictCheck>true</strictCheck>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>check</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        
    </build>
    <modules>
        <module>ov-commons</module>
        <module>ov-control-components</module>
        <module>ov-certificate-registry</module>
        <module>ov-extended-authentication</module>
        <module>ov-api-gateway</module>
        <module>ov-authentication</module>
        <module>ov-election-information</module>
        <module>ov-key-translation</module>
        <module>ov-voter-material</module>
        <module>ov-vote-verification</module>
        <module>ov-voting-workflow</module>
        <module>assembly</module>
    </modules>
</project>
